Name:           gtkterm
Version:        0.99.6
Release:        4%{?dist}
Summary:        Serial port terminal
Group:          Applications/Communications
License:        GPLv2+
URL:            https://fedorahosted.org/gtkterm/
Source0:        https://fedorahosted.org/released/gtkterm/%{name}-%{version}.tar.gz
Source1:        gtkterm.desktop
Source2:        gtkterm.png
Patch0:         gtkterm-0.99.5-scrollback.patch
Patch1:         gtkterm-0.99.6-ubuntu-fixes.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gtk2-devel gettext bison desktop-file-utils vte-devel
BuildRequires:  zlib-devel ncurses-devel
Requires:       hicolor-icon-theme

%description
Simple GUI terminal used to communicate with the serial port.
Similar to minicom or hyperterminal.


%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
%configure
# Hack fix broken Makefile
sed -i 's|@MKINSTALLDIRS@|../mkinstalldirs|g' po/Makefile
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# below is the desktop file and icon stuff.
mkdir $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -p -m 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png


%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.99.6-3
- Rebuild for new libpng

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Nov 13 2010 Hans de Goede <hdegoede@redhat.com> 0.99.6-1
- New upstream release 0.99.6
- Drop all our patches (all merged)
- Fixes: Add scrollbar for scrollback (#623485)
- Fixes: Add copy / paste edit menu entries (#623462)
- Fixes: FTBFS (#631235)
- Add some bugfixes from Ubuntu

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.99.5-9
- Autorebuild for GCC 4.3

* Sun Dec 09 2007 Dan Horak <dan[at]danny.cz> 0.99.5-8
- update the scrollback patch
- close port after unsuccesful read of control signals (#414811)

* Wed Nov 21 2007 Dan Horak <dan[at]danny.cz> 0.99.5-7
- fix buffer usage (bz 394891)

* Wed Nov  7 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.99.5-6
- Add patch adding a scrollback-buffer (configurable through gtktermrc)
  by Dan Horak (bz 369491)

* Tue Aug  7 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.99.5-5
- Update License tag for new Licensing Guidelines compliance

* Sat Jun 16 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.99.5-4
- Fix various CR LF handling issues (bug 244182)

* Mon Aug 28 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.99.5-3
- FE6 Rebuild

* Thu May 11 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.99.5-2
- Rebuild for new vte release.

* Fri Mar 31 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.99.5-1
- Taking over as new FE maintainer
- Bump to new upstream 0.99.5

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Nov 28 2003 Nils O. Selåsdal <NOS@Utel.no> - 0:0.99.4-0.fdr.3
- Add ncurses-devel as BuildRequires for RH9.
- full URL to Sources in .spec file
* Sat Nov 22 2003 Nils O. Selåsdal <NOS@Utel.no> - 0:0.99.4-0.fdr.2
- add missing BuildRequires.
* Sat Sep 06 2003 Nils O. Selåsdal <NOS@Utel.no> - 0:0.99.4-0.fdr.1
- Initial RPM release.
